Bug 567107 - Review Request: perl-Net-SSLGlue - Add/extend SSL support for common perl modules
Summary: Review Request: perl-Net-SSLGlue - Add/extend SSL support for common perl mod...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-21 17:12 UTC by Remi Collet
Modified: 2010-03-10 06:55 UTC (History)
2 users (show)

Fixed In Version: perl-Net-SSLGlue-0.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-10 06:41:07 UTC
cweyl: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2010-02-21 17:12:45 UTC
Spec URL: http://remi.fedorapeople.org/perl-Net-SSLGlue.spec
SRPM URL: http://remi.fedorapeople.org/perl-Net-SSLGlue-0.2-1.fc8.src.rpm
Description: 
Some commonly used perl modules don't have SSL support at all, even if the
protocol would support it. Others have SSL support, but most of them don't
do proper checking of the servers certificate.


--
Rpmlint ouput
perl-Net-SSLGlue.spec: I: checking-url http://www.cpan.org/modules/by-module/Net/Net-SSLGlue-0.2.tar.gz (timeout 10 seconds)
perl-Net-SSLGlue.src: I: checking
perl-Net-SSLGlue.src: I: checking-url http://search.cpan.org/dist/Net-SSLGlue/ (timeout 10 seconds)
perl-Net-SSLGlue.src: I: checking-url http://www.cpan.org/modules/by-module/Net/Net-SSLGlue-0.2.tar.gz (timeout 10 seconds)
perl-Net-SSLGlue.noarch: I: checking
perl-Net-SSLGlue.noarch: I: checking-url http://search.cpan.org/dist/Net-SSLGlue/ (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.


Koji scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=2003380

Comment 1 Chris Weyl 2010-02-21 20:48:38 UTC
Looks good.

None of the following are blockers, but rather recommendations.

Patching Makefile.PL to skip the network tests works, but it's also sufficient
to call it as:

    echo n | %{__perl} Makefile.PL INSTALLDIRS=vendor

For ease of maintenance, I might drop the patch and go the "echo n" route.

Replacing PERL_INSTALL_ROOT with DESTDIR would seem to be a good idea, given
the recent fun along those lines :)

Think about including %{?perl_default_filter} by default, even if just pro
forma.  It won't hurt anything and might save some pain down the line.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2003380

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
88fc9207053ede70c691fbc73cd55c20137ef789 Net-SSLGlue-0.2.tar.gz
88fc9207053ede70c691fbc73cd55c20137ef789 Net-SSLGlue-0.2.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Net-SSLGlue-0.2-1.fc14.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Net-SSLGlue-0.2-1.fc14.noarch.rpm
perl(Net::DNSGlue::LDAP) = 0.2
perl(Net::SMTP::_SSLified)  
perl(Net::SMTP::_SSL_Socket)  
perl(Net::SSLGlue) = 0.2
perl-Net-SSLGlue = 0.2-1.fc14
perl(Net::SSLGlue::LWP) = 0.2
perl(Net::SSLGlue::SMTP)  
====> requires for perl-Net-SSLGlue-0.2-1.fc14.noarch.rpm
perl(Carp)  
perl(IO::Socket::SSL) >= 1.19
perl(LWP::UserAgent)  
perl(MIME::Base64)  
perl(:MODULE_COMPAT_5.10.1)  
perl(Net::LDAP)  
perl(Net::SMTP)  
perl(strict)  
perl(URI)  
perl(URI::Escape)  
perl(warnings)  

=====> perl-Net-SSLGlue-0.2-1.fc14.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Net-SSLGlue-0.2-1.fc14.src.rpm
====> requires for perl-Net-SSLGlue-0.2-1.fc14.src.rpm
perl(ExtUtils::MakeMaker)  
perl(IO::Socket::SSL) >= 1.19

APPROVED

Comment 2 Remi Collet 2010-02-22 06:25:51 UTC
Thanks for the review and for the comments.

New Package CVS Request
=======================
Package Name: perl-Net-SSLGlue
Short Description: Add/extend SSL support for common perl module
Owners: remi
Branches: F-11 F-12 F-13
InitialCC:    perl-sig

Comment 3 Remi Collet 2010-02-22 11:35:37 UTC
Oups... missing EL branches


New Package CVS Request
=======================
Package Name: perl-Net-SSLGlue
Short Description: Add/extend SSL support for common perl module
Owners: remi
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC:    perl-sig

Comment 4 Jason Tibbitts 2010-02-22 21:33:20 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-02-23 06:14:49 UTC
perl-Net-SSLGlue-0.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Net-SSLGlue-0.2-1.fc13

Comment 6 Fedora Update System 2010-02-23 06:15:08 UTC
perl-Net-SSLGlue-0.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Net-SSLGlue-0.2-1.fc12

Comment 7 Fedora Update System 2010-02-23 06:15:32 UTC
perl-Net-SSLGlue-0.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Net-SSLGlue-0.2-1.fc11

Comment 8 Remi Collet 2010-02-23 06:16:38 UTC
No EPEL build as 'perl(IO::Socket::SSL) >= 1.19' not available

Comment 9 Fedora Update System 2010-02-23 16:05:56 UTC
perl-Net-SSLGlue-0.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-SSLGlue'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2638

Comment 10 Fedora Update System 2010-02-24 06:02:02 UTC
perl-Net-SSLGlue-0.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-SSLGlue'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2721

Comment 11 Fedora Update System 2010-02-24 06:11:23 UTC
perl-Net-SSLGlue-0.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-SSLGlue'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-2742

Comment 12 Fedora Update System 2010-03-10 06:41:02 UTC
perl-Net-SSLGlue-0.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-03-10 06:53:10 UTC
perl-Net-SSLGlue-0.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-03-10 06:55:03 UTC
perl-Net-SSLGlue-0.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.